:host {
  --width: 100%;
  --max-width: unset;
  --height: unset;
}

#tab-root {
  display: grid;
  grid-template-columns: 100%;
  background-color: var(--primary-colour800);
  overflow: hidden; /*Targeted at hiding overflow created by animation*/

  width: var(--width);
  max-width: var(--max-width, 100%);
  height: var(--height);
}

#img-wrapper {
  width: 100%;
  height: 100%;
  grid-column: 1;
  grid-row: 1;
}

#text-wrapper {
  grid-column: 1;
  grid-row: 2;
  color: white;
  padding: 12px 12px 48px; /*Higher btm pad required @ <500 to clear tabs/fab, situated below*/
}

#anim-ctrl-wrapper {
  grid-row: 1/3;
  grid-column: 1;

  /*Place wrapper across parent (i.e. img and text)  and tabs towards the bottom*/
  width: 100%;
  height: 100%;
  align-items: flex-end; /*end*/
  padding: 12px;

  /*Targets inner divs, i.e. the tabs*/
  display: flex;
  justify-content: center;
}

.tab {
  height: 12px;
  width: 12px;
  margin: 4px;
}

.normal-tab {
  background-color: lightblue;
}

.selected-tab {
  background-color: white;
}

img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

ul {
  list-style-type: none;
}

ul li {
  padding-left: 24px;
  background-image: url("src/favicon.ico");
  background-position: 0 0;
  background-size: 16px 16px;
  background-repeat: no-repeat;
}

@media screen and (min-width: 501px) {
  /*Demarcate tab image and text*/
  #tab-root {
    display: grid;
    grid-template-columns: 50% 50%;
  }

  #img-wrapper {
    grid-row: 1;
    grid-column: 1;
  }

  #text-wrapper {
    grid-row: 1;
    grid-column: 2;
    padding: 12px 12px 30px !important;
  }

  #anim-ctrl-wrapper {
    /*NB: From the default impl, @ <500, wrapper is placed across parent (i.e. img and text) */
    grid-row: 1;
    grid-column: 1/3;

    padding: 12px !important;
    justify-content: left !important;
  }

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

/*region Animation Control */

.play-anim {
  /*#img-wrapper, #text-wrapper*/
  animation-duration: 1800ms;
  animation-name: slidein;
  /*animation-iteration-count: infinite;*/
}

.stop-anim {
  animation-duration: unset;
  animation-name: none;
}

@keyframes slidein {
  from {
    margin-left: 100%;
    width: 100%;
  }

  to {
    margin-left: 0;
    width: 100%;
  }
}

/*@keyframes slideout {
  from {
    margin-left: 0%;
    width: 100%;
  }

  to {
    margin-left: 100%;
    width: 100%;
  }
}*/
/*endregion*/

.anim-ctrl-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.fab-container {
  margin-left: 8px;
}

#fab {
  background-color: #fff;
}


